{{ 'section-main-product.css' | asset_url | stylesheet_tag }}
{{ 'component-accordion.css' | asset_url | stylesheet_tag }}
{{ 'component-price.css' | asset_url | stylesheet_tag }}
{{ 'component-rte.css' | asset_url | stylesheet_tag }}
{{ 'component-slider.css' | asset_url | stylesheet_tag }}
{{ 'component-rating.css' | asset_url | stylesheet_tag }}
{{ 'component-loading-overlay.css' | asset_url | stylesheet_tag }}
{{ 'component-deferred-media.css' | asset_url | stylesheet_tag }}
{%- style -%}
  .section-{{ section.id }}-padding {
    background-color: {{ section.settings.bg_color }};
    margin-top: {{ section.settings.margin_top}}px;
    margin-bottom: {{ section.settings.margin_bottom}}px;
    padding-top: {{ section.settings.padding_top}}px;
    padding-bottom: {{ section.settings.padding_bottom}}px;
  }
  .product-media-wrapper{
    width:50%;
    padding-left:10px;
    padding-right:50px;
    height:max-content;
    position: stricky;
    top: 120px
  }
  .product-info-wrapper{
    width:50%;
    padding-left: 60px;
    padding-right:20px;
    padding-top: 30px;
  }
  .slide-nav-item{
    padding: 0px 4px;
    height: 60px;
  }
  .slide-nav-item img{
    width: 100%;
    height: 100%;
    border-radius: 5px
  }
  .slide-nav-item a{
    display: inline-block;
    height: 100%;
    border: 1px solid lightgray;
    border-radius: 5px;
    overflow: hidden;
  }
  .image-slider-nav-wrapper{
  position:relative;
  padding: 0px 20px;
    margin-top: 20px
  }
  button.slick-arrow{
    border: none;
    background: none;
    position: absolute;
    top :50%;
    transform: translateY(-50%);
  }
  .slide-prev{
    left: 0px;
  }
  .slide-next{
    right: 0px;
  }
  .info-top{
    display: flex;
    justify-content: space-between;
  }
  .product-text{
    font-size: 15px;
    line-height: 20px;
    font-weight: 700;
    color: #014550;
  }
  .product-title{
    font-family: 'FinancierDisplay';
    font-size: 60px;
    line-height: 62px;
    color: #014550;
    font-weight: 300
  }
  .price-item.price-item--sale.price-item--last{
    font-size: 38px;
    font-weight: 500;
    line-height: 31px;
    color: #014550;
    letter-spacing: -3px;
    display: flex;
  }
  .price__sale{
    display: flex !important;
    justify-content:flex-end;
    gap: 6px;
    flex-direction:column !important
  }
  .price-item.price-item--regular{
    font-size: 19px;
    line-height: 24px;
    font-weight: 400;
    color: #a7b3b5;
    margin: 0px
  }
  .plan-wrap{
    margin-top: 7px;
    font-size: 15px;
    font-weight: 700;
    text-align: right;
    color: #014550;
  }
  .product__description{
    color:#014550;
  }
  .product__description *{
    color: #014550;
  }
  .slick-current .slide-nav-item a{
    border-color:#02825c;
  }
  .product-form__input{
    display: flex;
    max-width: 100% !important;
    justify-content: space-between;
    align-items: center;
    margin: 0px !important;

  }
  .form__label{
    font-size: 16px;
    font-weight: 700;
    color: #014550;
    margin: 0px !important
  }
  span[data-selected-value]{
    color: #02825c;
    font-size: 17px;
    font-weight: 100;
  }
  .upsell-product .option-Color.product-form__input label{
    width: 20px;
    height: 20px;
    border-radius: 20px !important;
  }
  .option-Color.product-form__input label{
    width: 24px;
    height: 24px;
    padding: 0px !important;
    border-radius: 20px !important;
  }
  .upsell-product .option-Color.product-form__input input[type=radio]:checked+label:before{
    width: 28px;
    height: 28px;
  }

  .option-Color.product-form__input input[type=radio]:checked+label:before{
    content: "";
    position: absolute;
    width: 32px;
    height: 32px;
    border: 1px solid #014550;
    left: 50%;
    top: 50%;
    border-radius: 20px;
    transform: translate(-50%, -50%);
    z-index:12
  }
  #MainProduct-{{ section.id }} .product-form__input.option-Size{
    padding-top: 3px
  }
  #MainProduct-{{ section.id }} .product-form__input.option-Size label{
    background: #fff;
    border: 1px solid #02825c;
    border-radius: 4px;
    min-width: 70px;
    font-weight: 600;
    font-size: 15px;
    color: #014550;
    padding: 7px 12px;
  }
  #MainProduct-{{ section.id }} .option-Size.product-form__input input[type=radio]:checked+label{
    background: #bbcaff;
    border: 1px solid #014550;:
  }
  #MainProduct-{{ section.id }} .product-form__buttons{
    max-width: 100%
  }
  #MainProduct-{{ section.id }} button[type="submit"]{
    padding: 24px;
    background: #014550;
    border-radius: 18px;
    color: #3cf084;
    border: 1px solid transparent;
    font-size: 20px;
    opacity: 1;
    transition: .3s;
    cursor:pointer;
    max-height: 60px;
  }
  #MainProduct-{{ section.id }} button[type="submit"]:hover{
    background: transparent;
    color: #014550;
    border-color:#a7b3b5;
    transition: .3s
  }
  .size-chart-trigger{
    margin-top: 10px;
    margin-bottom: 30px;
  }
  .size-chart-trigger a{
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 15px;
    font-weight: 500;
    color: #02825c;
  }
  #MainProduct-{{ section.id }} variant-radios{
    padding: 20px 0px;
    border-top: 1px solid #c5d1d3;
    border-bottom: 1px solid #c5d1d3;
    margin-top: 20px;
    margin-bottom: 27px;
  }
  .image-slider-wrapper .slide-item{
    overflow : hidden;
    max-height: 500px;
  }
  .image-slider-wrapper .slide-item img{
    width: 100%;
  }
.upsell-collar{
    width: 22px;
    height: 22px;
    border-radius: 20px;
    border: 1px solid gray;
    background: transparent;
    position: relative;
    margin-top: 10px;
  }
  .upsell-collar.checked:before{
    outline: 0;
    box-shadow: none;
    position: absolute;
    content: "";
    width: 15px;
    height: 15px;
    background: #014550;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 20px;
  }
  .upsell-product{
    display:flex;
    justify-content: space-between;
    padding: 20px 20px 30px;
    background: #f7fafb;
    border-radius: 20px;
    border: 1px solid #014550;
  }
  .upsell-product-wrapper {
    margin-bottom: 30px;
    display: block;

  }
  .image-wrapper{
    max-width: 60px;
    margin: 0px 10px
  }
  .upsell-body{
    flex: 1;
    display: grid;
    grid-template-columns: 1fr auto;
  }
  .upsell_title{
    font-size: 16px;
    font-weight: 700;
    color: #014550;
  }
  .upsell-price-wrapper{
    display: flex;
    gap: 10px
  }
  .upsell-compare-at-price{
    font-size: 16px;
    font-weight: 400;
    color: #515f62;
    text-decoration: line-through;
  }
  .upsell-price{
    font-size: 17px;
    font-weight: 700;
    color: #014550;
  }
  .upsell-product custom-variant-radios{
    grid-row:2;
    grid-column: 1 / 4;
    gap: 10px;
  }
  .upsell-product-block-title h1{
    color: #3a3a3a;
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 10px
  }
  .toAdd{
    font-size: 14px;
    color: #3d66f6;
  }
  .add-to-cart-desc{
    font-size: 15px;
    text-align: center;
  }
  upsell-product .product-form__input{
  max-height: 30px;
}
.title-wrapper{
  flex: 1;
}
@media screen and (max-width: 1200px) {
  .product-title{
    font-size:45px;
    line-height:40px;
    margin-top: 5px;
  }
  .price-item.price-item--sale.price-item--last{
    font-size:26px;
    line-height: 10px;
    letter-spacing: 0px;
  }
  .price-item.price-item--regular{
    font-size: 16px;
  }
  .product-info-wrapper{
    padding-left: 15px;
  }
}
@media screen and (max-width: 740px) {

  .section-{{ section.id }}-padding {
    margin-top: 0px;
    margin-bottom: 0px;
    padding-top:30px;
    padding-bottom:30px
  }
  #MainProduct-{{ section.id }}  .product-media-wrapper {
    width: 100%;
    padding: 0px;
  }
  .title-wrapper{
    margin-right: 10px 
  }
  #MainProduct-{{ section.id }} .product-title{
    font-size:34px;
  }
  #MainProduct-{{ section.id }}  .image-slider-nav-wrapper{
    margin-top: 70px
  }
  #MainProduct-{{ section.id }}  .product-info-wrapper{
    width: 100%;
    padding: 0px;
    margin-top: 60px
  }
  #MainProduct-{{ section.id }}  .section-title{
    font-size: 48px;
  }
  #MainProduct-{{ section.id }} .product-wrapper{
    flex-direction: column;
  }

  #MainProduct-{{ section.id }}  .add-to-cart-desc{
    margin-top: 20px;
  }
  #MainProduct-{{ section.id }} .product-form__input.option-Size label{
    padding: 7px 5px;
  }
  fieldset.option-Size .form__label{
    flex: 1
  }
}
{%- endstyle -%}

<script src="{{ 'product-form.js' | asset_url }}" defer="defer"></script>

<section
  id="MainProduct-{{ section.id }}"
  class=" section-{{ section.id }}-padding section-{{ section.id }}-margin"
  data-section="{{ section.id }}"
>
  <div class="product-wrapper d-flex container">
    <div class="product-media-wrapper ">
      <div class="image-slider-wrapper">
        {% for image in product.images %}
          <div
            class="slide-item"
            data-thumbnail-id="{{ iamage.id }}"
          >
            <img src="{{ image | img_url: '2000x' }}" alt="">
          </div>
        {% endfor %}
      </div>

      <div class="image-slider-nav-wrapper">
        <button class="slide-prev slick-arrow">
          <svg
            width="11"
            height="24"
            viewBox="0 0 11 24"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
            style="transform: rotate(180deg);"
          >
            <path d="M8.92287 12L3.38189e-08 21.164L0 24L11 12.7166L11 11.2834L2.86197e-07 1.90735e-06L2.52378e-07 2.83599L8.92287 12Z" fill="#014550"></path>
          </svg>
        </button>
        <div class="image-slider-nav">
          {% for image in product.images %}
            <div class="slide-nav-item">
              <a
                href="javascript:;"
                data-slide-link-item
                data-thumbnail-id="{{ iamage.id }}"
                data-index="{{ forloop.index |minus: 1  }}"
                data-vids="{%for variant in image.variants%} {{  variant.id  }},{%endfor%}"
              >
                <img src="{{ image |img_url: '2000x' }}" alt="">
              </a>
            </div>
          {% endfor %}
        </div>
        <button class="slide-next slick-arrow">
          <svg width="11" height="24" viewBox="0 0 11 24" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M8.92287 12L3.38189e-08 21.164L0 24L11 12.7166L11 11.2834L2.86197e-07 1.90735e-06L2.52378e-07 2.83599L8.92287 12Z" fill="#014550"></path>
          </svg>
        </button>
      </div>
    </div>
    <div class="product-info-wrapper">
      <div
        id="ProductInfo-{{ section.id }}"
        class="product-info-container"
      >
        {%- assign product_form_id = 'product-form-' | append: section.id -%}
        <div class="info-top">
          <div class="title-wrapper">
            <p
              class="product-text"
            >
              {{- section.settings.title -}}
            </p>
            <h1 class="product-title">{{ product.title | escape }}</h1>
          </div>
          <div class="price-wrapper" id="price-{{ section.id }}" role="status" {{ block.shopify_attributes }}>
            {%- render 'price', product: product, use_variant: true, price_class: 'price--large' -%}
            <div class="plan-wrap text-capitalize">30 day risk free</div>
          </div>
        </div>
        <div class="info-body">
          {% for block in section.blocks %}
            {% if block.type == '@app' %}
              <div class="product-review-wrapper">
                {% render block %}
              </div>
            {% endif %}
          {% endfor %}
          {%- if product.description != blank -%}
            <div class="product__description rte quick-add-hidden">
              {{ product.description }}
            </div>
          {%- endif -%}
          <variant-radios
            id="main-product-variant-radio"
            class="no-js-hidden  d-flex flex-column"
            data-section="{{ section.id }}"
            data-url="{{ product.url }}"
            {{ block.shopify_attributes }}
          >
            {%- for option in product.options_with_values -%}
              <fieldset class="js product-form__input option-{{ option.name }} {%if option.name == "Color"%} flex-order-one {%elsif option.name=="Size"%}flex-order-two align-item-end{%endif%}">
                <div class="form__label">
                  Selected a {{ option.name }}:
                  <span data-selected-value option-name="{{ option.name }}">{{ option.selected_value }}</span>
                </div>
                <div>
                  {%- for value in option.values -%}
                    <input
                      type="radio"
                      id="{{ section.id }}-{{ option.position }}-{{ forloop.index0 }}"
                      name="{{ option.name }}"
                      value="{{ value | escape }}"
                      form="{{ product_form_id }}"
                      {% if option.selected_value == value %}
                        checked
                      {% endif %}
                    >
                    <label
                      for="{{ section.id }}-{{ option.position }}-{{ forloop.index0 }}"
                      data-color-name="{{ value }}"
                    >
                      {% if option.name == 'Size' %}
                        {{ value }}
                      {% endif %}
                    </label>
                  {%- endfor -%}
                </div>
              </fieldset>
            {%- endfor -%}
            <script type="application/json">
              {{ product.variants | json }}
            </script>
          </variant-radios>
          {%- for option in product.options_with_values -%}
            {% if option.name == 'Size' %}
              <div class="flex-order-four size-chart-trigger d-flex justify-content-end">
                <a href="javascript:;">
                  <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M23.0114 7.31445H0.988462C0.726306 7.31445 0.474901 7.41861 0.289528 7.60398C0.104156 7.78935 0 8.04076 0 8.30292V15.6966C0 15.9587 0.104156 16.2102 0.289528 16.3956C0.474901 16.581 0.726306 16.6851 0.988462 16.6851H23.0114C23.2736 16.6851 23.525 16.581 23.7104 16.3956C23.8957 16.2102 23.9999 15.9587 23.9999 15.6966V8.30292C23.9999 8.04076 23.8957 7.78935 23.7104 7.60398C23.525 7.41861 23.2736 7.31445 23.0114 7.31445ZM22.023 14.7081H1.97692V9.29138H4.46787V11.9998H6.44479V9.29138H8.83685V11.9998H10.8138V9.29138H13.2058V11.9998H15.1828V9.29138H17.5749V11.9998H19.5518V9.29138H22.0328L22.023 14.7081Z" fill="#02825C"></path>
                  </svg>
                  Size Guide
                </a>
              </div>
            {% endif %}
          {% endfor %}
          {% if product.metafields.global.upsell_product != blank %}
            {% for item in product.metafields.global.upsell_product.value -%}
              {% assign upsell_variant = item.selected_or_first_available_variant %}
              <upsell-product
                id="section-{{ item.id }}"
                class="upsell-product-wrapper "
                data-section="{{ section.id }}"
              >
                <div class="upsell-product-block-title d-flex justify-content-between">
                  <h1>Add a new case to match your new device</h1>
                  <span class="toAdd">(click to add)</span>
                </div>
                <div class="upsell-product">
                  <div class="d-flex ">
                    <div class="checkbox-wrapper">
                      <button class="upsell-collar"></button>
                    </div>
                    <div class="image-wrapper">
                      <img src="{{ upsell_variant.image |img_url: '2000x' }}" alt="">
                    </div>
                  </div>
                  <div class="upsell-body">
                    <div class="upsell_title">
                      {{ item.title }}
                    </div>
                    <div
                      class="upsell-price-wrapper"
                      id="price-upsell-{{ upsell_variant.id }}"
                      role="status"
                    >
                      <h4 class="upsell-compare-at-price compare-at-price-label">
                        {{ upsell_variant.compare_at_price | money }}
                      </h4>
                      <h3 class="upsell-price price-label">{{ upsell_variant.price | money }}</h3>
                    </div>
                    <custom-variant-radios
                      data-section="{{ section.id }}"
                      data-url="{{ product.url }}"
                      class="upsell-variant no-js-hidden  d-flex flex-column"
                      data-price-id="upsell-{{ upsell_variant.id }}"
                      product-wrapper-id="{{ item.id }}"
                    >
                      {%- for option in item.options_with_values -%}
                        <fieldset class="js product-form__input option-{{ option.name }} {%if option.name == "Color"%} flex-order-one {%elsif option.name=="Size"%}flex-order-two align-item-end{%endif%}">
                          <div class="form__label">
                            {{ option.name }}:
                            <span data-selected-value option-name="{{ option.name }}">{{ option.selected_value }}</span>
                          </div>
                          <div>
                            {%- for value in option.values -%}
                              <input
                                type="radio"
                                id="{{ item.id }}-{{ value }}-{{ forloop.index0 }}"
                                name="{{ item.id }}{{ option.name }}"
                                value="{{ value | escape }}"
                                form="{{ product_form_id }}"
                                {% if option.selected_value == value %}
                                  checked
                                {% endif %}
                              >
                              <label
                                for="{{ item.id }}-{{ value }}-{{ forloop.index0 }}"
                                data-color-name="{{ value }}"
                              >
                                {% if option.name == 'Size' %}
                                  {{ value }}
                                {% endif %}
                              </label>
                            {%- endfor -%}
                          </div>
                        </fieldset>
                      {%- endfor -%}
                      <script type="application/json">
                        [{{ item.variants | json }}]
                      </script>
                    </custom-variant-radios>
                  </div>
                </div>
              </upsell-product>
            {%- endfor %}
          {% endif %}
        </div>
        <div class="info-footer">
          <div {{ block.shopify_attributes }}>
            <product-form class="product-form">
              <div class="product-form__error-message-wrapper" role="alert" hidden>
                <svg
                  aria-hidden="true"
                  focusable="false"
                  role="presentation"
                  class="icon icon-error"
                  viewBox="0 0 13 13"
                >
                  <circle cx="6.5" cy="6.50049" r="5.5" stroke="white" stroke-width="2"/>
                  <circle cx="6.5" cy="6.5" r="5.5" fill="#EB001B" stroke="#EB001B" stroke-width="0.7"/>
                  <path d="M5.87413 3.52832L5.97439 7.57216H7.02713L7.12739 3.52832H5.87413ZM6.50076 9.66091C6.88091 9.66091 7.18169 9.37267 7.18169 9.00504C7.18169 8.63742 6.88091 8.34917 6.50076 8.34917C6.12061 8.34917 5.81982 8.63742 5.81982 9.00504C5.81982 9.37267 6.12061 9.66091 6.50076 9.66091Z" fill="white"/>
                  <path d="M5.87413 3.17832H5.51535L5.52424 3.537L5.6245 7.58083L5.63296 7.92216H5.97439H7.02713H7.36856L7.37702 7.58083L7.47728 3.537L7.48617 3.17832H7.12739H5.87413ZM6.50076 10.0109C7.06121 10.0109 7.5317 9.57872 7.5317 9.00504C7.5317 8.43137 7.06121 7.99918 6.50076 7.99918C5.94031 7.99918 5.46982 8.43137 5.46982 9.00504C5.46982 9.57872 5.94031 10.0109 6.50076 10.0109Z" fill="white" stroke="#EB001B" stroke-width="0.7">
                </svg>
                <span class="product-form__error-message"></span>
              </div>
              {%- form 'product',
                product,
                id: product_form_id,
                class: 'form',
                novalidate: 'novalidate',
                data-type: 'add-to-cart-form'
              -%}
                <input
                  type="hidden"
                  name="id"
                  value="{{ product.selected_or_first_available_variant.id }}"
                  disabled
                >
                <div class="product-form__buttons">
                  <button
                    type="submit"
                    name="add"
                    class=" product-form__submit button button--full-width {% if block.settings.show_dynamic_checkout %}button--secondary{% else %}button--primary{% endif %}"
                    {% if product.selected_or_first_available_variant.available == false %}
                      disabled
                    {% endif %}
                  >
                    <span>
                      {%- if product.selected_or_first_available_variant.available -%}
                        {{ 'products.product.add_to_cart' | t }}
                      {%- else -%}
                        {{ 'products.product.sold_out' | t }}
                      {%- endif -%}
                    </span>
                    <div class="loading-overlay__spinner hidden">
                      <svg
                        aria-hidden="true"
                        focusable="false"
                        role="presentation"
                        class="spinner"
                        viewBox="0 0 66 66"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <circle class="path" fill="none" stroke-width="6" cx="33" cy="33" r="30"></circle>
                      </svg>
                    </div>
                  </button>
                  {% if section.settings.add_to_cart_desc != blank %}
                    <h3 class="add-to-cart-desc">{{ section.settings.add_to_cart_desc }}</h3>
                  {% endif %}
                  {%- if block.settings.show_dynamic_checkout -%}
                    {{ form | payment_button }}
                  {%- endif -%}
                </div>
              {%- endform -%}
            </product-form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script>
    document.addEventListener('DOMContentLoaded', function () {
      function isIE() {
        const ua = window.navigator.userAgent;
        const msie = ua.indexOf('MSIE ');
        const trident = ua.indexOf('Trident/');

        return msie > 0 || trident > 0;
      }
      if (!isIE()) return;
      const hiddenInput = document.querySelector('#{{ product_form_id }} input[name="id"]');
      const noScriptInputWrapper = document.createElement('div');
      const variantSwitcher =
        document.querySelector('variant-radios[data-section="{{ section.id }}"]') ||
        document.querySelector('variant-selects[data-section="{{ section.id }}"]');
      noScriptInputWrapper.innerHTML = document.querySelector(
        '.product-form__noscript-wrapper-{{ section.id }}'
      ).textContent;
      variantSwitcher.outerHTML = noScriptInputWrapper.outerHTML;

      document.querySelector('#Variants-{{ section.id }}').addEventListener('change', function (event) {
        hiddenInput.value = event.currentTarget.value;
      });
    });
  </script>

  <script type="application/ld+json">
    {
      "@context": "http://schema.org/",
      "@type": "Product",
      "name": {{ product.title | json }},
      "url": {{ request.origin | append: product.url | json }},
      {% if seo_media -%}
        "image": [
          {{ seo_media | image_url: width: seo_media.preview_image.width | prepend: "https:" | json }}
        ],
      {%- endif %}
      "description": {{ product.description | strip_html | json }},
      {% if product.selected_or_first_available_variant.sku != blank -%}
        "sku": {{ product.selected_or_first_available_variant.sku | json }},
      {%- endif %}
      "brand": {
        "@type": "Brand",
        "name": {{ product.vendor | json }}
      },
      "offers": [
        {%- for variant in product.variants -%}
          {
            "@type" : "Offer",
            {%- if variant.sku != blank -%}
              "sku": {{ variant.sku | json }},
            {%- endif -%}
            {%- if variant.barcode.size == 12 -%}
              "gtin12": {{ variant.barcode }},
            {%- endif -%}
            {%- if variant.barcode.size == 13 -%}
              "gtin13": {{ variant.barcode }},
            {%- endif -%}
            {%- if variant.barcode.size == 14 -%}
              "gtin14": {{ variant.barcode }},
            {%- endif -%}
            "availability" : "http://schema.org/{% if variant.available %}InStock{% else %}OutOfStock{% endif %}",
            "price" : {{ variant.price | divided_by: 100.00 | json }},
            "priceCurrency" : {{ cart.currency.iso_code | json }},
            "url" : {{ request.origin | append: variant.url | json }}
          }{% unless forloop.last %},{% endunless %}
        {%- endfor -%}
      ]
    }
  </script>
</section>
{% schema %}
{
  "name": "t:sections.main-product.name",
  "tag": "section",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background color"
    },
    {
      "type": "header",
      "content": "SECTION MARGIN"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Top margin",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Bottom margin",
      "default": 36
    },
    {
      "type": "header",
      "content": "t:sections.all.padding.section_padding_heading"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title Text"
    },
    {
      "type": "html",
      "id": "add_to_cart_desc",
      "label": "Add to cart description text"
    }
  ],
  "blocks": [
    {
      "type": "@app"
    }
  ]
}
{% endschema %}
